public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-02-26 18:44 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-02-26 18:44 UTC (permalink / raw
  To: gentoo-commits

commit:     5106fac2bce9729fc3365cea98ee903b1447734f
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Feb 26 18:44:15 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Sat Feb 26 18:44:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5106fac2

dev-cpp/scitokens-cpp: New package (0.7.0).

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/metadata.xml               | 12 ++++++
 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild | 48 ++++++++++++++++++++++++
 3 files changed, 61 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
new file mode 100644
index 000000000..c935ffbbe
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -0,0 +1 @@
+DIST scitokens-cpp-0.7.0.tar.gz 98971 BLAKE2B 3429ff89b5a5202f9892fc68fc558c8b64276977a396981af845f05f8eb3f638602cedd30ea97f3ab5e6d188de7249247854dd6281aeb138d6e304b5aa006bb9 SHA512 1be8a84b7d88c10ab7336c3c6bc8d7e7be5feb3253ef618cba1f3ed908aad3fc480f30dd2a292aa2774ec88ceba370af3fa7d96f228cba3df8f78b6face6991b

diff --git a/dev-cpp/scitokens-cpp/metadata.xml b/dev-cpp/scitokens-cpp/metadata.xml
new file mode 100644
index 000000000..6168f62c8
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>o.freyermuth@googlemail.com</email>
+    <name>Oliver Freyermuth</name>
+  </maintainer>
+  <upstream>
+    <bugs-to>https://github.com/scitokens/scitokens-cpp/issues</bugs-to>
+    <remote-id type="github">scitokens/scitokens-cpp</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
new file mode 100644
index 000000000..85b3de864
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+	<dev-cpp/jwt-cpp-0.5.0
+	dev-db/sqlite
+	dev-libs/openssl
+	test? ( dev-cpp/gtest )"
+
+src_prepare() {
+	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+	rm -rvf vendor
+	# Fix include path for picojson.
+	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+			-DBUILD_UNITTESTS="$(usex test)"
+			-DEXTERNAL_GTEST=YES
+			)
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-02-26 18:55 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-02-26 18:55 UTC (permalink / raw
  To: gentoo-commits

commit:     94b382e567b7438fd5770a37eb74e151159436ca
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Feb 26 18:55:55 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Sat Feb 26 18:55:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=94b382e5

dev-cpp/scitokens-cpp: Add missing dependencies.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
index 85b3de864..a926a4b9f 100644
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
@@ -25,7 +25,10 @@ DEPEND="${RDEPEND}
 	<dev-cpp/jwt-cpp-0.5.0
 	dev-db/sqlite
 	dev-libs/openssl
+	net-misc/curl
+	sys-apps/util-linux
 	test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
 
 src_prepare() {
 	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-03-05 16:44 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-03-05 16:44 UTC (permalink / raw
  To: gentoo-commits

commit:     477912058273ae786e287ff3e1ba14244e5a7b18
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Mar  5 16:44:56 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Sat Mar  5 16:44:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=47791205

dev-cpp/scitokens-cpp: Fix pkgcheck QA issues.

This resolves MissingTestRestrict and
MultipleKeywordsLines issues.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
index bef1bbae6..59eac5e9b 100644
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.0.ebuild
@@ -5,10 +5,9 @@ EAPI=8
 
 inherit cmake
 
-if [[ ${PV} == 9999 ]]; then
+if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
-	KEYWORDS=""
 else
 	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64"
@@ -29,6 +28,7 @@ DEPEND="${RDEPEND}
 	sys-apps/util-linux
 	test? ( dev-cpp/gtest )"
 BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
 
 PATCHES=(
 	"${FILESDIR}"/"${PN}"-0.7.0-install-when-testing.patch


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-11-01 13:08 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-11-01 13:08 UTC (permalink / raw
  To: gentoo-commits

commit:     506397f294cc26e5224f39f082dc2e3e7715a371
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Tue Nov  1 13:07:59 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Tue Nov  1 13:07:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=506397f2

dev-cpp/scitokens-cpp: add 0.7.2

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild | 55 ++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 76d04dd3c..32bf633fd 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,2 +1,3 @@
 DIST scitokens-cpp-0.7.0.tar.gz 98971 BLAKE2B 3429ff89b5a5202f9892fc68fc558c8b64276977a396981af845f05f8eb3f638602cedd30ea97f3ab5e6d188de7249247854dd6281aeb138d6e304b5aa006bb9 SHA512 1be8a84b7d88c10ab7336c3c6bc8d7e7be5feb3253ef618cba1f3ed908aad3fc480f30dd2a292aa2774ec88ceba370af3fa7d96f228cba3df8f78b6face6991b
 DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
+DIST scitokens-cpp-0.7.2.tar.gz 99557 BLAKE2B 93b5a4e331004b8bcec9b9ad931d5de2bb5ecd69dc75b4100261110aa0488f4b4616e085235dc8703f492bb80cce2d7a8e90824c32f11d9db6dec65e2be87d1f SHA512 40e4bd8b14e040f748e8b7c00a32f26028b502d293c8d4ed77f20294fe7356a991d9d0a449731cde28a90556aeefd42e4ca63ec882b94697abeef2483544451c

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild
new file mode 100644
index 000000000..5d3e16ae9
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+else
+	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+	<dev-cpp/jwt-cpp-0.5.0
+	dev-db/sqlite
+	dev-libs/openssl
+	net-misc/curl
+	sys-apps/util-linux
+	test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+	"${FILESDIR}"/"${PN}"-0.7.1-fix-external-gtest.patch
+)
+
+src_prepare() {
+	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+	rm -rvf vendor
+	# Fix include path for picojson.
+	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+			-DSCITOKENS_EXTERNAL_GTEST=YES
+			)
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-11-02 17:29 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-11-02 17:29 UTC (permalink / raw
  To: gentoo-commits

commit:     390a3bf40082069ba7efc474142a5c0bbc9717b4
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Wed Nov  2 17:29:30 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Wed Nov  2 17:29:30 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=390a3bf4

dev-cpp/scitokens-cpp: drop 0.7.2

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 -
 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild | 55 ------------------------
 2 files changed, 56 deletions(-)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index ef9e8ca36..849474dad 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,3 +1,2 @@
 DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
-DIST scitokens-cpp-0.7.2.tar.gz 99557 BLAKE2B 93b5a4e331004b8bcec9b9ad931d5de2bb5ecd69dc75b4100261110aa0488f4b4616e085235dc8703f492bb80cce2d7a8e90824c32f11d9db6dec65e2be87d1f SHA512 40e4bd8b14e040f748e8b7c00a32f26028b502d293c8d4ed77f20294fe7356a991d9d0a449731cde28a90556aeefd42e4ca63ec882b94697abeef2483544451c
 DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild
deleted file mode 100644
index 5d3e16ae9..000000000
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.2.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-if [[ ${PV} == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
-else
-	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64"
-fi
-
-DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
-HOMEPAGE="https://scitokens.org/"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="test"
-
-DEPEND="${RDEPEND}
-	<dev-cpp/jwt-cpp-0.5.0
-	dev-db/sqlite
-	dev-libs/openssl
-	net-misc/curl
-	sys-apps/util-linux
-	test? ( dev-cpp/gtest )"
-BDEPEND="virtual/pkgconfig"
-RESTRICT="!test? ( test )"
-
-PATCHES=(
-	"${FILESDIR}"/"${PN}"-0.7.1-fix-external-gtest.patch
-)
-
-src_prepare() {
-	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
-	rm -rvf vendor
-	# Fix include path for picojson.
-	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
-			-DSCITOKENS_EXTERNAL_GTEST=YES
-			)
-	cmake_src_configure
-}
-
-src_test() {
-	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
-}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2022-11-02 17:29 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2022-11-02 17:29 UTC (permalink / raw
  To: gentoo-commits

commit:     1e23c39a4dbd33ea0ad24df6a541249768985d7e
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Wed Nov  2 17:29:07 2022 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Wed Nov  2 17:29:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1e23c39a

dev-cpp/scitokens-cpp: add 0.7.3

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild | 55 ++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 56804bd76..ef9e8ca36 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,2 +1,3 @@
 DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
 DIST scitokens-cpp-0.7.2.tar.gz 99557 BLAKE2B 93b5a4e331004b8bcec9b9ad931d5de2bb5ecd69dc75b4100261110aa0488f4b4616e085235dc8703f492bb80cce2d7a8e90824c32f11d9db6dec65e2be87d1f SHA512 40e4bd8b14e040f748e8b7c00a32f26028b502d293c8d4ed77f20294fe7356a991d9d0a449731cde28a90556aeefd42e4ca63ec882b94697abeef2483544451c
+DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild
new file mode 100644
index 000000000..5d3e16ae9
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+else
+	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+	<dev-cpp/jwt-cpp-0.5.0
+	dev-db/sqlite
+	dev-libs/openssl
+	net-misc/curl
+	sys-apps/util-linux
+	test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+	"${FILESDIR}"/"${PN}"-0.7.1-fix-external-gtest.patch
+)
+
+src_prepare() {
+	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+	rm -rvf vendor
+	# Fix include path for picojson.
+	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+			-DSCITOKENS_EXTERNAL_GTEST=YES
+			)
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2023-03-23  3:25 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2023-03-23  3:25 UTC (permalink / raw
  To: gentoo-commits

commit:     0a96aa6841404181a4c3917c61c876583d2dfad7
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Thu Mar 23 03:25:36 2023 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Thu Mar 23 03:25:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0a96aa68

dev-cpp/scitokens-cpp: add 1.0.0

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 849474dad..8a2d0ade8 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,2 +1,3 @@
 DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
 DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e
+DIST scitokens-cpp-1.0.0.tar.gz 309098 BLAKE2B ebe919bd5a4dada2fa08e881358caf597aeae9309d75977d8479b5859bb5d0d396cc890f4048ed3295c7e3cf483440fca40dd0bd7f1d54a608d547b72d3e6b5f SHA512 db0679be6bed7117ced05618a5cbd8c52f427e10e221a8094780ebaa1585caeae57a44fc2a76691bf33bbcf34dd1353b27caca8a9381dd3c3aa16a8ef6a14285

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild
new file mode 100644
index 000000000..e0b428f84
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+else
+	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+	>=dev-cpp/jwt-cpp-0.6.0
+	dev-db/sqlite
+	dev-libs/openssl
+	net-misc/curl
+	sys-apps/util-linux
+	test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+	rm -rvf vendor
+	# Fix include path for picojson.
+	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
+		xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+	# Disable network-based tests relying on external services.
+	if use test; then
+		sed -i	-e '/^TEST_F/s#RefreshTest#DISABLED_RefreshTest#' \
+			-e '/^TEST_F/s#RefreshExpiredTest#DISABLED_RefreshExpiredTest#' test/main.cpp || die
+	fi
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+			-DSCITOKENS_EXTERNAL_GTEST=YES
+			)
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2023-04-28 18:13 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2023-04-28 18:13 UTC (permalink / raw
  To: gentoo-commits

commit:     54e1c1ca704b38dfe0487dba0d901953c6be8efd
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Fri Apr 28 18:12:22 2023 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Fri Apr 28 18:12:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=54e1c1ca

dev-cpp/scitokens-cpp: add 1.0.1

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 8a2d0ade8..725b79d63 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,3 +1,4 @@
 DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
 DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e
 DIST scitokens-cpp-1.0.0.tar.gz 309098 BLAKE2B ebe919bd5a4dada2fa08e881358caf597aeae9309d75977d8479b5859bb5d0d396cc890f4048ed3295c7e3cf483440fca40dd0bd7f1d54a608d547b72d3e6b5f SHA512 db0679be6bed7117ced05618a5cbd8c52f427e10e221a8094780ebaa1585caeae57a44fc2a76691bf33bbcf34dd1353b27caca8a9381dd3c3aa16a8ef6a14285
+DIST scitokens-cpp-1.0.1.tar.gz 309430 BLAKE2B cfb0a25bde68076334d37d0b47adcb2f1b794bf60330f612c3bfbe2588e420a2b427e9e9916ee14c2c348ed4448d781fad2068d35560b45740b81144aa12e6a6 SHA512 592d8c473ecdeed49c5552239d98e4da57313c8914b3c97c74a6bc4b1f4929b4490a33695e741972a8c83f6097d644fc4df94b3ca54d811c64dcf542b6467ea9

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
new file mode 100644
index 000000000..e0b428f84
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
+else
+	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
+HOMEPAGE="https://scitokens.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="${RDEPEND}
+	>=dev-cpp/jwt-cpp-0.6.0
+	dev-db/sqlite
+	dev-libs/openssl
+	net-misc/curl
+	sys-apps/util-linux
+	test? ( dev-cpp/gtest )"
+BDEPEND="virtual/pkgconfig"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+	rm -rvf vendor
+	# Fix include path for picojson.
+	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
+		xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
+	# Disable network-based tests relying on external services.
+	if use test; then
+		sed -i	-e '/^TEST_F/s#RefreshTest#DISABLED_RefreshTest#' \
+			-e '/^TEST_F/s#RefreshExpiredTest#DISABLED_RefreshExpiredTest#' test/main.cpp || die
+	fi
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+			-DSCITOKENS_EXTERNAL_GTEST=YES
+			)
+	cmake_src_configure
+}
+
+src_test() {
+	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2023-04-28 18:13 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2023-04-28 18:13 UTC (permalink / raw
  To: gentoo-commits

commit:     866c26dde9d396f3500d98b8ce4227752552ef6c
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Fri Apr 28 18:13:19 2023 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Fri Apr 28 18:13:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=866c26dd

dev-cpp/scitokens-cpp: drop 0.7.1

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/Manifest                   |  1 -
 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.1.ebuild | 55 ------------------------
 2 files changed, 56 deletions(-)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 725b79d63..864a32623 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -1,4 +1,3 @@
-DIST scitokens-cpp-0.7.1.tar.gz 99411 BLAKE2B b89c63ad35105a064e6f8ecd7596ba51de43096828a756b7c64669a352784c56bcb9295638f173cdbeac833e9dfc14828daf775d60a6cd124abf639125cf5842 SHA512 5c73fcccfb2db92916caced118e2ab4e110f7a8331a9bd84d06bd059da5258d7e8423822356e1833bbce7b047d7f31e2cd20cf4c0eb064dc2d248d9febab35b5
 DIST scitokens-cpp-0.7.3.tar.gz 99699 BLAKE2B d5d4f4559a2668d391abf6f8139d4c1e6c99d7acfd26e730db19e91306096c6c67379ab920bfa130222908962f8ab62bd2e7dcade247d9f07431343346a88cb4 SHA512 b9d48e337bf4edf14d8ae231988b48e36736aa948b82dc8336a9adb8db91870a8d0bce25a4555fd728cf80c0bd0303bef5df6434f6ea031a8dce2edd99e0ad7e
 DIST scitokens-cpp-1.0.0.tar.gz 309098 BLAKE2B ebe919bd5a4dada2fa08e881358caf597aeae9309d75977d8479b5859bb5d0d396cc890f4048ed3295c7e3cf483440fca40dd0bd7f1d54a608d547b72d3e6b5f SHA512 db0679be6bed7117ced05618a5cbd8c52f427e10e221a8094780ebaa1585caeae57a44fc2a76691bf33bbcf34dd1353b27caca8a9381dd3c3aa16a8ef6a14285
 DIST scitokens-cpp-1.0.1.tar.gz 309430 BLAKE2B cfb0a25bde68076334d37d0b47adcb2f1b794bf60330f612c3bfbe2588e420a2b427e9e9916ee14c2c348ed4448d781fad2068d35560b45740b81144aa12e6a6 SHA512 592d8c473ecdeed49c5552239d98e4da57313c8914b3c97c74a6bc4b1f4929b4490a33695e741972a8c83f6097d644fc4df94b3ca54d811c64dcf542b6467ea9

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.1.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.1.ebuild
deleted file mode 100644
index 5d3e16ae9..000000000
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-if [[ ${PV} == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp"
-else
-	SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64"
-fi
-
-DESCRIPTION=" A C++ implementation of the SciTokens library with a C library interface"
-HOMEPAGE="https://scitokens.org/"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="test"
-
-DEPEND="${RDEPEND}
-	<dev-cpp/jwt-cpp-0.5.0
-	dev-db/sqlite
-	dev-libs/openssl
-	net-misc/curl
-	sys-apps/util-linux
-	test? ( dev-cpp/gtest )"
-BDEPEND="virtual/pkgconfig"
-RESTRICT="!test? ( test )"
-
-PATCHES=(
-	"${FILESDIR}"/"${PN}"-0.7.1-fix-external-gtest.patch
-)
-
-src_prepare() {
-	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
-	rm -rvf vendor
-	# Fix include path for picojson.
-	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-			-DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
-			-DSCITOKENS_EXTERNAL_GTEST=YES
-			)
-	cmake_src_configure
-}
-
-src_test() {
-	cmake_run_in "${BUILD_DIR}" ctest --verbose || die
-}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/
@ 2023-05-01 12:58 Oliver Freyermuth
  0 siblings, 0 replies; 10+ messages in thread
From: Oliver Freyermuth @ 2023-05-01 12:58 UTC (permalink / raw
  To: gentoo-commits

commit:     20669b5fe8b3d9c32d1d2fded521c1176ca5bdb5
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Mon May  1 12:57:52 2023 +0000
Commit:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
CommitDate: Mon May  1 12:57:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=20669b5f

dev-cpp/scitokens-cpp: die if unbundling fails

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild | 2 +-
 dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild | 2 +-
 dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild
index 5d3e16ae9..d6173e21e 100644
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-0.7.3.ebuild
@@ -36,7 +36,7 @@ PATCHES=(
 
 src_prepare() {
 	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
-	rm -rvf vendor
+	rm -r vendor || die
 	# Fix include path for picojson.
 	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die
 	cmake_src_prepare

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild
index e0b428f84..acf2c661d 100644
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.0.ebuild
@@ -32,7 +32,7 @@ RESTRICT="!test? ( test )"
 
 src_prepare() {
 	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
-	rm -rvf vendor
+	rm -r vendor || die
 	# Fix include path for picojson.
 	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
 		xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
index e0b428f84..acf2c661d 100644
--- a/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.0.1.ebuild
@@ -32,7 +32,7 @@ RESTRICT="!test? ( test )"
 
 src_prepare() {
 	# Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
-	rm -rvf vendor
+	rm -r vendor || die
 	# Fix include path for picojson.
 	find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
 		xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || die


^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2023-05-01 12:58 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-02 17:29 [gentoo-commits] repo/proj/guru:dev commit in: dev-cpp/scitokens-cpp/ Oliver Freyermuth
  -- strict thread matches above, loose matches on Subject: below --
2023-05-01 12:58 Oliver Freyermuth
2023-04-28 18:13 Oliver Freyermuth
2023-04-28 18:13 Oliver Freyermuth
2023-03-23  3:25 Oliver Freyermuth
2022-11-02 17:29 Oliver Freyermuth
2022-11-01 13:08 Oliver Freyermuth
2022-03-05 16:44 Oliver Freyermuth
2022-02-26 18:55 Oliver Freyermuth
2022-02-26 18:44 Oliver Freyermuth

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox